org.eclipse.microprofile.metrics.tck.metrics

## Class AbstractTimedBean

- java.lang.Object
- - org.eclipse.microprofile.metrics.tck.metrics.AbstractTimedBean

Direct Known Subclasses:
  ConcreteExtendedTimedBean

    @Timed
    public abstract class AbstractTimedBean
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`AbstractTimedBean()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `timedMethod()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AbstractTimedBean

    public AbstractTimedBean()

### Method Detail

#### timedMethod

    public void timedMethod()